<p align="center">
	<a href="https://521dimensions.com/open-source/amplitudejs" target="_blank">
		<img src="https://521dimensions.com/img/open-source/amplitudejs/AmplitudeJS-NoSlogan.svg" width="600" alt="AmplitudeJS Logo">
	</a>
</p>
<p align="center">
  <a title="Documentation" href="https://521dimensions.com/open-source/amplitudejs/docs/"><strong>Documentation</strong></a>
  &#x2022;
  <a title="Examples" href="https://521dimensions.com/open-source/amplitudejs/docs/examples/"><strong>Examples</strong></a>
  &#x2022;
  <a title="Tutorials" href="https://serversideup.net/search/?tags=amplitudejs&type=all"><strong>Tutorials</strong></a>
  &#x2022;
  <a title="Support Us" href="https://github.com/sponsors/serversideup"><strong>Support Us</strong></a>
  &#x2022;
  <a title="Get Professional Help" href="https://521dimensions.com/open-source/amplitudejs/docs/get-help/#professional-support"><strong>Get Professional Help</strong></a>
</p>
<p align="center">
	<a href="https://github.com/serversideup/amplitudejs/actions" target="_blank"><img src="https://github.com/serversideup/amplitudejs/workflows/publish-production/badge.svg" alt="Build Status"></a>
	<a href="https://www.npmjs.com/package/amplitudejs" target="_blank"><img src="https://badgen.net/npm/v/amplitudejs" alt="npm version"></a>
	<a href="https://www.jsdelivr.com/package/npm/amplitudejs" target="_blank"><img src="https://badgen.net/jsdelivr/hits/npm/amplitudejs" alt="jsDelivr"></a>
	<a href="https://www.npmjs.com/package/amplitudejs" target="_blank"><img src="https://badgen.net/npm/dt/amplitudejs" alt="Downloads"></a>
	<a href="https://community.serversideup.net/c/get-help/amplitudejs/27" target="_blank"><img src="https://badgen.net/badge/icon/On%20Discourse?label=chat&color=cyan" alt="Chat"></a>
	<br />
	<a href="https://david-dm.org/521dimensions/amplitudejs" target="_blank"><img src="https://badgen.net/david/dep/521dimensions/amplitudejs" alt="david-dm"></a>
	<a href="https://raw.githubusercontent.com/521dimensions/amplitudejs/master/LICENSE" target="_blank"><img src="https://badgen.net/github/license/521dimensions/amplitudejs" alt="License"></a>
	<a href="https://github.com/sponsors/serversideup"><img src="https://badgen.net/badge/icon/Support%20Us?label=Github%20Sponsors&color=orange" alt="Support us"></a>
</p>

AmplitudeJS is a lightweight JavaScript library that allows you to control the design of your media controls in your webpage -- not the browser. No dependencies (jQuery not required). AmplitudeJS is available under the [MIT License](https://raw.githubusercontent.com/521dimensions/amplitudejs/master/LICENSE).

## Demo
<p align="center">
	<a href="https://521dimensions.com/open-source/amplitudejs" target="_blank">
		<img src="https://521dimensions.com/img/open-source/amplitudejs/AmplitudeDemo.jpg" alt="MIT License" width="600">
	</a><br />
	Click the image above to go to the demo site or <a href="https://521dimensions.com/open-source/amplitudejs" target="_blank">click here</a>.
</p>

## This Software is Community-run

Open-source software is not sustainable without proper financial support. Maintaining an open source project takes a lot of effort and resources. If you are very thankful for what you can do with AmplitudeJS or if you are using AmplitudeJS to make any sort of revenue, we kindly ask that you contribute any resources available to keep the community growing.

## Sponsors
These people believe in open-source. If you are interested in improving the project, <a href="https://opencollective.com/amplitudejs" target="_blank">become a sponsor</a>.
### Platinum Sponsors
<a href="https://soothingrelaxation.com/" target="_blank"><img width="250" src="https://521dimensions.com/img/open-source/amplitudejs/sponsors/soothing-relaxation.png"></a>

### Gold Sponsors
<a href="https://www.podcaster.de/" target="_blank"><img width="175" src="https://521dimensions.com/img/open-source/amplitudejs/sponsors/sponsor-logo_podcaster.png"></a>

### Silver Sponsors
<a href="https://awise.se/" target="_blank">AWISE</a><br />
<a href="https://www.cryptonewsz.com//" target="_blank">CryptoNewsZ</a>

### Backers
<a href="https://opencollective.com/amplitudejs#backers"><img src="https://opencollective.com/amplitudejs/tiers/backer.svg"></a>

## Features
* 🎨 100% customizable design of all player elements
* 🚀 Lightweight, 0 dependencies
* 📕 Thoroughly documented
* 🎧 Support for multiple playlists
* 🌊 Autogenerate waveforms and visualizations using the Web Audio API
* 🎤 Live streaming support
* 🎛 Public functions for unlimited control!
* 🤵 Professionally supported [Get professional help &rarr;](https://521dimensions.com/open-source/amplitudejs/docs/get-help/#professional-support)

## Don't just take our word for it
* [GitHub: Release Radar · January 2019](https://github.blog/2019-02-05-release-radar-january-2019/)
* [CSS Tricks: Front-End Tools: My Favorite Finds of 2017](https://css-tricks.com/front-end-tools-favorite-finds-2017/)
* [FossMint: AmplitudeJS - A Modern Open-Source HTML5 Audio Player](https://www.fossmint.com/amplitudejs-html5-audio-player-with-playlist/)


## Browser Support

| <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/edge.png" alt="IE / Edge" width="16px" height="16px" /></br>IE / Edge | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/firefox.png" alt="Firefox" width="16px" height="16px" /></br>Firefox | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/chrome.png" alt="Chrome" width="16px" height="16px" /></br>Chrome | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/safari.png" alt="Safari" width="16px" height="16px" /></br>Safari | <img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/opera.png" alt="Opera" width="16px" height="16px" /></br>Opera |
| ---------- | --------- | --------- | --------- | --------- |
| IE11, Edge | 4.0+      | 3.5+      | 4.0+      | 10.5+     |

## Example Players

Looking for some cool examples to get started with? [View all of our example players &rarr;](https://521dimensions.com/open-source/amplitudejs/docs/examples/index.html)

#### View the source
All of our example players have the code available on our ["AmplitudeJS Example Players" repository](https://github.com/serversideup/amplitudejs-player-examples). Feel free to submit a PR of your own example if you want! [See the source for our example players &rarr;](https://github.com/serversideup/amplitudejs-player-examples)

## Installation
Installation is a breeze and very flexible on how you want to use it. [View the installation instructions &rarr;](https://521dimensions.com/open-source/amplitudejs/docs/installation/)


## Documentation & Usage
All of our documentation is located in the `/docs` folder, but we made an even easier and more beautiful way to fully experience AmplitudeJS. [View our documentation site &rarr;](https://521dimensions.com/open-source/amplitudejs/docs)

## Getting Help
Feeling stuck? No worries! We have entire community built around helping eachother out. [Get help &rarr;](https://521dimensions.com/open-source/amplitudejs/docs/help-and-support/)

## Roadmap
We have all of our proposed features organized on our [roadmap](https://github.com/521dimensions/amplitudejs/projects/11). If you are interested in sponsoring a specific feature, just comment on that feature and we will get in touch with you soon!
